This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 982523 - no idler info in /var/log/messages after idle the app by oo-admin-ctl-gears idlegear
no idler info in /var/log/messages after idle the app by oo-admin-ctl-gears i...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 04:53 EDT by Yan Du
Modified: 2015-05-14 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:23:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-07-09 04:53:58 EDT
Description of problem:
create a app and idle the app by oo-admin-ctl-gears idlegear <uuid>, no idle infomation in /var/log/messages.



Version-Release number of selected component (if applicable):
devenv_3463
rhc-1.11.2



How reproducible:
Always



Steps to Reproduce:
1. Create a scalable app
2. oo-restorer -u <uuid>
3. oo-admin-ctl-gears idlegear <uuid>
4. check the restorer/idle infomation about the app in /var/log/messages




Actual results:
step2:
[root@ip-10-147-131-106 ~]# oo-restorer -u 78bd0d38e86c11e2b02422000a93836a
Unidling gear 78bd0d38e86c11e2b02422000a93836a... [ OK ]

step3: 
[root@ip-10-147-131-106 ~]# oo-admin-ctl-gears idlegear 78bd0d38e86c11e2b02422000a93836a
Idling gear 78bd0d38e86c11e2b02422000a93836a... [ OK ]


Step4:
no idle info about the gear shown, but the restorer info can be shown normally.
Idling gear 78bd0d38e86c11e2b02422000a93836a... [ OK ]

[root@ip-10-147-131-106 ~]# grep "78bd0d38e86c11e2b02422000a93836a" /var/log/messages
Jul  9 04:24:21 ip-10-147-131-106 oo_restorer: Restored: 78bd0d38e86c11e2b02422000a93836a


Expected results:
the idle info should be shown normally in /var/log/messages, just like the restorer info.


Additional info:
the original bug
https://bugzilla.redhat.com/show_bug.cgi?id=958355
Comment 1 Rob Millner 2013-07-09 18:23:28 EDT
Pull request:
https://github.com/openshift/origin-server/pull/3023

oo-admin-ctl-gears idlegear 83f8c3d0e8e511e2a86112313b0f2c0c
oo-admin-ctl-gears unidlegear 83f8c3d0e8e511e2a86112313b0f2c0c

grep 83f8c3d0e8e511e2a86112313b0f2c0c /var/log/messages
Jul  9 18:21:19 ip-10-101-47-250 oo-admin-ctl-gears: Idled: 83f8c3d0e8e511e2a86112313b0f2c0c
Jul  9 18:21:43 ip-10-101-47-250 oo-admin-ctl-gears: Restored: 83f8c3d0e8e511e2a86112313b0f2c0c
Comment 2 openshift-github-bot 2013-07-09 22:19:21 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d32211d2eeb0609b22460689f2c60b4026e16494
Bug 982523 - add syslog to oo-admin-ctl-gears
Comment 3 Yan Du 2013-07-10 04:45:58 EDT
verified on devenv_3473
rhc-1.11.3

[root@ip-10-164-37-38 ~]# oo-admin-ctl-gears idlegear 51dd1df969b723085f000003
Idling gear 51dd1df969b723085f000003... [ OK ]
[root@ip-10-164-37-38 ~]# oo-admin-ctl-gears unidlegear 51dd1df969b723085f000003
Unidling gear 51dd1df969b723085f000003... [ OK ]

[root@ip-10-164-37-38 ~]# grep 51dd1df969b723085f000003 /var/log/messages 
Jul 10 04:44:11 ip-10-164-37-38 oo-admin-ctl-gears: Idled: 51dd1df969b723085f000003
Jul 10 04:44:22 ip-10-164-37-38 oo-admin-ctl-gears: Restored: 51dd1df969b723085f000003

move to verified.

Note You need to log in before you can comment on or make changes to this bug.